libzypp 17.37.10

Product.cc File Reference
`#include <iostream>`
`#include <utility>`
`#include <zypp/base/LogTools.h>`
`#include <zypp/base/StrMatcher.h>`
`#include <zypp/Product.h>`
`#include <zypp/Url.h>`
`#include <zypp/sat/LookupAttr.h>`
`#include <zypp/sat/WhatProvides.h>`
`#include <zypp/sat/WhatObsoletes.h>`
`#include <zypp/PoolItem.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
| zypp::IMPL_PTR_TYPE (Product)
std::ostream & | zypp::operator<< (std::ostream &str, const Product::UrlList &obj)